package br.gov.serpro.cte.agenda.casoteste;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import br.gov.serpro.cte.connection.LoginExpresso;
import br.gov.serpro.cte.connection.DAOSelenium;

import com.thoughtworks.selenium.SeleneseTestCase;

public class TestAdicionarCompromisso extends SeleneseTestCase
{
	@Before
	public void setUp() throws Exception
	{
		String url			= "https://cte.serpro.gov.br";
		DAOSelenium conn	= new DAOSelenium( "localhost", 4444, "*pifirefox", url);
		selenium			= conn.newConnection();
	}
	
	@Test
	public void testa()
	{
		selenium.open("/");
		
		selenium.type( "user", LoginExpresso.USER_EXPRESSO.getValue() );
		selenium.type( "passwd", LoginExpresso.USER_EXPRESSO.getValue() );
		selenium.click("submitit");
		selenium.open("/calendar/index.php");
		selenium.waitForPageToLoad("30000");
		selenium.click("//div[@id='toolbar']/table/tbody/tr/td[2]");
		javax.swing.JOptionPane.showMessageDialog(null, "Fim Execuo !");
	}
	
	@After
	public void tearDown() throws Exception
	{
		selenium.close();
	}
	
}
